/* ---rgf, 2003-05-02, the Object Rexx version of "useXyzType.rex" */
/* environment variable CLASSPATH must also have a dot in it ".", in order to find
   the Java class in the actual directory from which this program is started     */

javaClass = "XyzType"   /* determine Java class to use            */
   /* query value of static field (attribute) "counter" via class itself */
say "value of static field 'counter'=" || .bsf~getStaticValue(javaClass, "counter")
say

   /* creating an instance of the Java class "XyzType"   */
o=.BSF~new(javaClass)   /* create an instance of "XyzType"     */
say "o:" o
say "# 1:" o~getInfo    /* get the value via the getter method */
   /* use the object's setter method to define a string value     */
o~setInfo("string", "Hello, from Rexx...")
say "# 2:" o~getInfo    /* get the value via the getter method */
   /* query value of static field (attribute) "counter"  */
say "value of static field 'counter'=" || o~bsf.getFieldValue("counter")
say

   /* release (unregister) reference to the Java object  */
-- not necessary for Object Rexx: garbage collection will take care of this !!!

   /* create a second Java object      */
say "creating another instance of XyzType, this time with an initial value..."
         /* create an instance of "XyzType" and supply a string value   */
o=.BSF~new(javaClass, "String", "Hi, RexxLA!")
say "o:" o
say "# 3:" o~getInfo    /* get the value via the getter method */
   /* query value of static field (attribute) "counter" via object  */
say "value of static field 'counter'=" || o~bsf.getFieldValue("counter")

::requires "BSF.cls"    -- get Object Rexx support
